System Requirements for Pincello



Pincello is a browser-based timeline maker. In order to successfully run the application, each machine must meet the requirements listed below:


  • Operating systems: Mac and Windows 8 or higher. 

  • Browsers: Safari 10 or higher, Chrome (latest version), Firefox (latest version), Internet Explorer 11, and Edge (latest version). While Pincello can be accessed from older browser versions as well, using the latest available will ensure optimal performance. Pre-release or developer browser versions may also work, but they are not officially supported by Pincello.

Note: Pincello is not currently optimized for mobile devices.

Have more questions? Submit a request